org.wildfly.swarm.config.infinispan.cache_container

## Class BackupsComponent<T extends BackupsComponent<T>>

- java.lang.Object
- - org.wildfly.swarm.config.infinispan.cache_container.BackupsComponent<T>

-     public class BackupsComponent<T extends BackupsComponent<T>>
      extends Object

  The remote backups for this cache.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BackupsComponent.BackupsComponentResources` Child mutators for BackupsComponent

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BackupsComponent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `backup(Backup value)` Add the Backup object to the list of subresources
    `T` | `backup(BackupSupplier supplier)` Install a supplied Backup object to the list of subresources
    `T` | `backup(String childKey)` Create and configure a Backup object to the list of subresources
    `T` | `backup(String childKey, BackupConsumer consumer)` Create and configure a Backup object to the list of subresources
    `T` | `backups(List<Backup> value)` Add all Backup objects to this subresource
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `BackupsComponent.BackupsComponentResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BackupsComponent

          public BackupsComponent()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public BackupsComponent.BackupsComponentResources subresources()

    - #### backups

          public T backups(List<Backup> value)

      Add all Backup objects to this subresource
      Parameters:
        `value` - List of Backup objects.
      Returns:
        this

    - #### backup

          public T backup(Backup value)

      Add the Backup object to the list of subresources
      Parameters:
        `value` - The Backup to add
      Returns:
        this

    - #### backup

          public T backup(String childKey,
                          BackupConsumer consumer)

      Create and configure a Backup object to the list of subresources
      Parameters:
        `key` - The key for the Backup resource
        `config` - The BackupConsumer to use
      Returns:
        this

    - #### backup

          public T backup(String childKey)

      Create and configure a Backup object to the list of subresources
      Parameters:
        `key` - The key for the Backup resource
      Returns:
        this

    - #### backup

          public T backup(BackupSupplier supplier)

      Install a supplied Backup object to the list of subresources

Copyright © 2017 JBoss by Red Hat. All rights reserved.